Add sympa5 5.1, sympa is an electronic mailing list manager.

PR:		ports/86599
Submitted by:	Olivier Girard <Olivier.Girard@Univ-Angers.fr>
This commit is contained in:
Renato Botelho 2005-09-29 13:02:53 +00:00
parent 765fb62a52
commit 8d1a3bfcb4
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=143773
14 changed files with 995 additions and 0 deletions

View File

@ -507,6 +507,7 @@
SUBDIR += sylpheed-claws
SUBDIR += sympa
SUBDIR += sympa-elixus
SUBDIR += sympa5
SUBDIR += t-prot
SUBDIR += teapop
SUBDIR += teapop-devel

142
mail/sympa5/Makefile Normal file
View File

@ -0,0 +1,142 @@
# New ports collection makefile for: sympa5
# Date created: 16 September 2005
# Whom: Olivier Girard <Olivier.Girard@Univ-Angers.fr>
#
# $FreeBSD$
#
PORTNAME= sympa
PORTVERSION= 5.1
CATEGORIES= mail
MASTER_SITES?= http://www.sympa.org/distribution/
MAINTAINER= Olivier.Girard@univ-angers.fr
COMMENT= Sympa is an electronic mailing list manager
BUILD_DEPENDS+= ${SITE_PERL}/Archive/Zip.pm:${PORTSDIR}/archivers/p5-Archive-Zip \
${SITE_PERL}/IO/Stringy.pm:${PORTSDIR}/devel/p5-IO-stringy \
${SITE_PERL}/SOAP/Lite.pm:${PORTSDIR}/net/p5-SOAP-Lite \
${SITE_PERL}/Locale/TextDomain.pm:${PORTSDIR}/devel/p5-Locale-libintl \
${SITE_PERL}/Regexp/Common.pm:${PORTSDIR}/textproc/p5-Regexp-Common \
${SITE_PERL}/${PERL_ARCH}/Template.pm:${PORTSDIR}/www/p5-Template-Toolkit \
${SITE_PERL}/${PERL_ARCH}/XML/LibXML.pm:${PORTSDIR}/textproc/p5-XML-LibXML \
${SITE_PERL}/Crypt/CipherSaber.pm:${PORTSDIR}/security/p5-Crypt-CipherSaber \
${SITE_PERL}/Net/LDAP.pm:${PORTSDIR}/net/p5-perl-ldap \
${LOCALBASE}/bin/mhonarc:${PORTSDIR}/www/mhonarc
RUN_DEPENDS= ${BUILD_DEPENDS}
CONFLICTS= sympa-4*
DB_TYPE?=mysql
USE_REINPLACE= yes
PORTDOCS= *
.if defined(WITHOUT_NLS)
PLIST_SUB+= NLS="@comment "
.else
PLIST_SUB+= NLS=""
.endif
.include <bsd.port.pre.mk>
.if ${PERL_LEVEL} < 500600
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI-137
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI-137
.else
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI
RUN_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI
.endif
.if defined(WITH_FASTCGI)
.if defined(WITH_APACHE2)
BUILD_DEPENDS+= ${LOCALBASE}/libexec/apache2/mod_fastcgi.so:${PORTSDIR}/www/mod_fastcgi
.else
BUILD_DEPENDS+= ${LOCALBASE}/libexec/apache/mod_fastcgi.so:${PORTSDIR}/www/mod_fastcgi
.endif
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/FCGI.pm:${PORTSDIR}/www/p5-FastCGI
.endif
.if ${DB_TYPE} == "Oracle"
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBD/Oracle.pm:${PORTSDIR}/databases/p5-DBD-Oracle
.else
.if ${DB_TYPE} == "Pg"
.if ${PERL_LEVEL} < 500600
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBD/Pg.pm:${PORTSDIR}/databases/p5-DBD-Pg-13
.else
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBD/Pg.pm:${PORTSDIR}/databases/p5-DBD-Pg
.endif
.else
.if ${DB_TYPE} == "Sybase"
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBD/Sybase.pm:${PORTSDIR}/databases/p5-DBD-Sybase
.else
.if ${DB_TYPE} == "mysql"
BUILD_DEPENDS+= ${SITE_PERL}/${PERL_ARCH}/DBD/mysql.pm:${PORTSDIR}/databases/p5-DBD-mysql
.endif
.endif
.endif
.endif
HAS_CONFIGURE= yes
USE_PERL5= yes
CONFIGURE_ARGS+=--prefix=${PREFIX} \
--with-confdir=${PREFIX}/etc/sympa \
--with-initdir=${PREFIX}/etc/rc.d \
--with-etcdir=${PREFIX}/etc/sympa \
--with-cgidir=${PREFIX}/sympa/cgi-bin \
--with-iconsdir=${PREFIX}/sympa/icons \
--with-sbindir=${PREFIX}/sbin \
--with-libdir=${PREFIX}/lib/sympa \
--with-libexecdir=${PREFIX}/libexec/sympa \
--with-datadir=${DATADIR} \
--with-expldir=${PREFIX}/sympa/expl \
--with-lockdir=/var/spool/lock \
--with-piddir=/var/run \
--with-localedir=${PREFIX}/share/locale \
--with-docdir=${DOCSDIR} \
--with-sampledir=${EXAMPLESDIR} \
--with-spooldir=${PREFIX}/sympa/spool \
${CONFIGURE_TARGET}
CONFIGURE_ENV+= lt_cv_sys_max_cmd_len=${CONFIGURE_MAX_CMD_LEN}
MAKE_ENV?= PERL_EXTUTILS_AUTOINSTALL=--skip
MAN8= alias_manager.8 archived.8 bounced.8 sympa.8
pre-fetch:
@${ECHO} ""
@${ECHO} "You may use the following build options:"
@${ECHO} ""
@${ECHO} " DB_TYPE=type Optional: mysql, Oracle, Pg or Sybase"
@${ECHO} " WITH_FASTCGI Use FastCGI instead of plain CGI"
@${ECHO} ""
post-patch:
${MV} ${WRKSRC}/src/etc/script/sympa ${WRKSRC}/src/etc/script/sympa.sh
@${REINPLACE_CMD} -E 's,^(INITSRC.*=.*sympa)$$,\1.sh,' \
${WRKSRC}/src/etc/script/Makefile
.if defined(WITHOUT_NLS)
@${REINPLACE_CMD} -e 's, locale$$,,g' \
-e 's, installlocale,,g' \
${WRKSRC}/Makefile.in
.else
@${REINPLACE_CMD} -e 's, checklocales,,' \
${WRKSRC}/po/Makefile
.endif
.if defined(NOPORTDOCS)
@${REINPLACE_CMD} -e 's, installdoc,,g' \
${WRKSRC}/Makefile.in
.endif
@${FIND} ${WRKSRC} -name "*.orig" -a -exec ${RM} -f {} \;
pre-install:
@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
post-install:
@PKG_PREFIX=${PREFIX} DB_TYPE=${DB_TYPE} WITH_FASTCGI=${WITH_FASTCGI} \
${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
post-deinstall:
@PKG_PREFIX=${PREFIX} ${SH} ${PKGDEINSTALL} ${PKGNAME} POST-DEINSTALL
.include <bsd.port.post.mk>

2
mail/sympa5/distinfo Normal file
View File

@ -0,0 +1,2 @@
MD5 (sympa-5.1.tar.gz) = 8757025ccb008dedac3d2ab01258f285
SIZE (sympa-5.1.tar.gz) = 4197965

View File

@ -0,0 +1,80 @@
--- Makefile.in.orig Tue Aug 16 14:25:23 2005
+++ Makefile.in Mon Sep 26 13:00:29 2005
@@ -218,6 +218,8 @@
PERL_VERSION = `$(PERL) -e ' print $$]'`
SYMPA_VERSION = @VERSION@
DIR = ${prefix}
+ARC_DIR = ${prefix}/sympa/arc
+BOUNCE_DIR = ${prefix}/sympa/bounce
EXPL_DIR = @EXPLDIR@
MAILERPROGDIR = @BINDIR@
RPMTOPDIR = `rpm --eval %_topdir`
@@ -508,7 +510,7 @@
@CVS2CL@
#endif
-all: warning checkperl checkcpan sources man locale
+all: sources man locale
rpm: build_rh_rpm build_mdk_rpm
@@ -593,7 +595,7 @@
$(MAKE) PERL='${PERL}' clean) || exit 1; \
done;
-install: importantchanges installsrc installwws installwebtt2 installmailtt2 installlocale installman installscript installsample installdir installconfig installdoc installsoap
+install: installsrc installwws installwebtt2 installmailtt2 installlocale installman installscript installsample installdir installconfig installdoc installsoap
importantchanges:
@( PERL=$(PERL); export PERL; \
@@ -610,7 +612,7 @@
$(MAKE) SH='${SH}' CC='${CC}' CFLAGS='${CFLAGS}' PERL='${PERL}' \
DIR='${DIR}' LOCALEDIR='${LOCALEDIR}' ETCBINDIR='${ETCBINDIR}' \
DESTDIR='${DESTDIR}' CONFIG='${CONFIG}' WWSCONFIG='${WWSCONFIG}' \
- LOCALEDIR='${prefix}/locale' SCRIPTDIR='${SCRIPTDIR}' \
+ SCRIPTDIR='${SCRIPTDIR}' \
USER='${USER}' GROUP='${GROUP}') || exit 1;
installlocale:
@@ -618,7 +620,6 @@
$(MAKE) SH='${SH}' CC='${CC}' CFLAGS='${CFLAGS}' PERL='${PERL}' \
DIR='${DIR}' LOCALEDIR='${LOCALEDIR}' ETCBINDIR='${ETCBINDIR}' \
DESTDIR='${DESTDIR}' CONFIG='${CONFIG}' WWSCONFIG='${WWSCONFIG}' \
- LOCALEDIR='${prefix}/locale' \
USER='${USER}' GROUP='${GROUP}' install) || exit 1;
updatelocale:
@@ -626,7 +627,7 @@
$(MAKE) SH='${SH}' CC='${CC}' CFLAGS='${CFLAGS}' PERL='${PERL}' \
DIR='${DIR}' LOCALEDIR='${LOCALEDIR}' ETCBINDIR='${ETCBINDIR}' \
DESTDIR='${DESTDIR}' CONFIG='${CONFIG}' WWSCONFIG='${WWSCONFIG}' \
- LOCALEDIR='${prefix}/locale' SCRIPTDIR='${SCRIPTDIR}' \
+ SCRIPTDIR='${SCRIPTDIR}' \
USER='${USER}' GROUP='${GROUP}' update-po) || exit 1;
installsrc:
@@ -719,7 +720,7 @@
installdir:
@echo "Creating required directories"
- @for dir in $(DIR) $(EXPL_DIR) $(CONFDIR) $(SAMPLEDIR) ; do \
+ @for dir in $(DIR) $(EXPL_DIR) $(ARC_DIR) $(BOUNCE_DIR) $(CONFDIR) $(SAMPLEDIR) ; do \
if [ ! -d $(DESTDIR)$$dir ] ; then \
echo "Creating $(DESTDIR)$$dir"; \
mkdir -p $(DESTDIR)$$dir; \
@@ -769,14 +770,7 @@
INITCONF='1'; \
fi \
fi \
- done; \
- if [ "$$INITCONF" ] ; then \
- echo "###############################################"; \
- echo "It seems to be your first installation of Sympa"; \
- echo "The following wizard will help you create your $(CONFDIR)/sympa.conf and $(CONFDIR)/wwsympa.conf :"; \
- DESTDIR=$(DESTDIR); export DESTDIR; \
- $(PERL) -I $(DESTDIR)$(LIBDIR) $(DESTDIR)$(SBINDIR)/sympa_wizard.pl; \
- fi
+ done;
build_rh_rpm: clean
@echo "Building RedHat RPM in $(RPMTOPDIR) ..."

View File

@ -0,0 +1,19 @@
--- check_perl_modules.pl 2003/11/28 18:16:39
+++ check_perl_modules.pl 2004/05/04 21:05:38
@@ -158,6 +158,8 @@
sub install_module {
my ($module, $default) = @_;
+ return if $ENV{'PERL_EXTUTILS_AUTOINSTALL'} =~ /--skip|--default/;
+
unless ($ENV{'FTP_PASSIVE'} eq 1) {
$ENV{'FTP_PASSIVE'} = 1;
print "Setting FTP Passive mode\n";
@@ -178,7 +180,7 @@
print "Install module $module ? [$default]";
my $answer = <STDIN>; chomp $answer;
$answer ||= $default;
- next unless ($answer =~ /^y$/i);
+ return unless ($answer =~ /^y$/i);
CPAN::Shell->conf('inactivity_timeout', 4);
CPAN::Shell->install($module);

View File

@ -0,0 +1,36 @@
--- src/Language.pm.orig Thu Aug 11 14:49:48 2005
+++ src/Language.pm Mon Sep 26 10:45:27 2005
@@ -1,5 +1,5 @@
# Language.pm - This module does just the initial setup for the international messages
-# RCS Identication ; $Revision: 1.40.2.4 $ ; $Date: 2005/08/11 12:49:48 $
+# RCS Identication ; $Revision: 1.40.2.5 $ ; $Date: 2005/09/23 15:39:34 $
#
# Sympa - SYsteme de Multi-Postage Automatique
# Copyright (c) 1997, 1998, 1999, 2000, 2001 Comite Reseau des Universites
@@ -134,16 +134,20 @@
unless (setlocale(&POSIX::LC_ALL, $locale)) {
unless (setlocale(&POSIX::LC_ALL, $lang)) {
unless (setlocale(&POSIX::LC_ALL, $locale.'.'.$locale2charset{$locale})) {
- &do_log('err','Failed to setlocale(%s) ; you either have a problem with the catalogue .mo files or you should extend available locales in your /etc/locale.gen (or /etc/sysconfig/i18n) file', $locale.'.'.$locale2charset{$locale});
- return undef;
+ unless (setlocale(&POSIX::LC_ALL, $locale.'.'.uc($locale2charset{$locale}))) { ## UpperCase required for FreeBSD
+ &do_log('err','Failed to setlocale(%s) ; you either have a problem with the catalogue .mo files or you should extend available locales in your /etc/locale.gen (or /etc/sysconfig/i18n) file', $locale.'.'.uc($locale2charset{$locale}));
+ return undef;
+ }
}
}
}
- unless (setlocale(&POSIX::LC_TIME, $locale)) {
- &do_log('err','Failed to setlocale(LC_TIME,%s)', $locale.'.'.$locale2charset{$locale});
- return undef;
- }
+## Problem with this, isn't LC_ALL suffiscient ?
+#
+# unless (setlocale(&POSIX::LC_TIME, $locale)) {
+# &do_log('err','Failed to setlocale(LC_TIME,%s)', $locale);
+# return undef;
+# }
$current_lang = $lang;
$current_locale = $locale;

View File

@ -0,0 +1,85 @@
--- src/etc/script/sympa Wed Jun 29 17:33:54 2005
+++ src/etc/script/sympa Mon Sep 12 17:11:57 2005
@@ -43,6 +43,8 @@
sympaconf="--CONFIG--"
wwsympaconf="--WWSCONFIG--"
+lockdir="--LOCKDIR--"
+
##'echo -n' not supported with SH on Solaris
if [ ${OSTYPE} = "SunOS" ]; then
echo_opt=""
@@ -50,6 +52,10 @@
echo_opt="-n"
fi
+if [ ${OSTYPE} = "FreeBSD" ]; then
+ lockdir="/var/spool/lock"
+fi
+
# End of parameters
# Current state of the module
@@ -68,7 +74,7 @@
if [ -f --PIDDIR--/$1.pid ] ; then
pid=`head -1 --PIDDIR--/$1.pid`
if [ "$pid" != "" ] ; then
- running=`ps -A | grep "$pid"`
+ running=`ps -ax | grep perl | grep $pid`
if [ "$running" != "" ]; then
echo "$1 (pid $pid) is active..."
return 0
@@ -96,7 +102,7 @@
# startparam=""
# fi
- if [ ${OSTYPE} = "IRIX" -o ${OSTYPE} = "SunOS" -o ${OSTYPE} = "Debian" -o ${OSTYPE} = "Suse" ]; then
+ if [ ${OSTYPE} = "IRIX" -o ${OSTYPE} = "SunOS" -o ${OSTYPE} = "FreeBSD" -o ${OSTYPE} = "Debian" -o ${OSTYPE} = "Suse" ]; then
$sympadir/$1.pl $startparam && echo "success" || echo "failure"
else
$sympadir/$1.pl $startparam && success || failure
@@ -152,9 +158,9 @@
if [ -f --PIDDIR--/$1.pid ]; then
echo $echo_opt "Stopping module $1.pl: "
pid=`head -1 --PIDDIR--/$1.pid`
- running=`ps -A | grep "$pid"`
+ running=`ps -ax | grep perl | grep "$pid"`
if [ "$running" != "" ]; then
- if [ ${OSTYPE} = "IRIX" -o ${OSTYPE} = "SunOS" -o ${OSTYPE} = "Debian" -o ${OSTYPE} = "Suse" ]; then
+ if [ ${OSTYPE} = "IRIX" -o ${OSTYPE} = "SunOS" -o ${OSTYPE} = "FreeBSD" -o ${OSTYPE} = "Debian" -o ${OSTYPE} = "Suse" ]; then
kill -TERM $pid && echo "success" || echo "failure"
else
kill -TERM $pid && success || failure
@@ -185,13 +191,13 @@
# See how we were called.
case "$1" in
start)
- if [ ! -f --LOCKDIR--/sympa ]; then
+ if [ ! -f "$lockdir/sympa" ]; then
echo "Starting Sympa subsystem: "
sympa_start sympa
sympa_start archived
sympa_start bounced
sympa_start task_manager
- touch --LOCKDIR--/sympa
+ touch "$lockdir/sympa"
echo
else
@@ -207,13 +213,13 @@
sympa_stop sympa
sympa_stop sympa-distribute
sympa_stop task_manager
- if [ -f --LOCKDIR--/sympa ]; then
- rm -f --LOCKDIR--/sympa
+ if [ -f "$lockdir/sympa" ]; then
+ rm -f "$lockdir/sympa"
fi
;;
status)
echo "Status of Sympa subsystem: "
- if [ -f --LOCKDIR--/sympa ]; then
+ if [ -f "$lockdir/sympa" ]; then
echo "Status file for subsystem found."
else
echo "Status file for subsystem NOT found."

View File

@ -0,0 +1,35 @@
--- src/sympa_wizard.pl Wed Sep 14 17:25:58 2005
+++ src/sympa_wizard.pl Wed Sep 14 17:26:45 2005
@@ -92,13 +92,13 @@
'advice' =>''},
{'name' => 'arc_path',
- 'default' => '--DIR--/arc',
+ 'default' => '--DIR--/sympa/arc',
'query' => 'Where to store HTML archives',
'file' => 'wwsympa.conf','edit' => '1',
'advice' =>'Better if not in a critical partition'},
{'name' => 'bounce_path',
- 'default' => '--DIR--/bounce',
+ 'default' => '--DIR--/sympa/bounce',
'query' => 'Where to store bounces',
'file' => 'wwsympa.conf',
'advice' =>'Better if not in a critical partition'},
@@ -308,14 +308,14 @@
'advice' =>''},
{'name' => 'mhonarc',
- 'default' => '/usr/bin/mhonarc',
+ 'default' => '/usr/local/bin/mhonarc',
'query' => 'Path to MhOnarc mail2html pluggin',
'file' => 'wwsympa.conf','edit' => '1',
'advice' =>'This is required for HTML mail archiving'},
{'title' => 'S/MIME pluggin'},
{'name' => 'openssl',
- 'sample' => '/usr/local/bin/openssl',
+ 'sample' => '/usr/bin/openssl',
'query' => 'Path to OpenSSL',
'file' => 'sympa.conf','edit' => '1',
'advice' =>'Sympa knowns S/MIME if openssl is installed'},

View File

@ -0,0 +1,24 @@
--- wwsympa/Makefile.orig Tue May 24 16:04:33 2005
+++ wwsympa/Makefile Mon Sep 26 13:28:23 2005
@@ -21,7 +21,7 @@
sbin_SUBST = bounced.pl archived.pl
-cgi_SUBST = wwsympa.fcgi
+cgi_SUBST = wwsympa.fcgi wwsympa-wrapper
lib_SUBST = wwslib.pm cookielib.pm bounce-lib.pl Marc.pm Auth.pm SharedDocument.pm
@@ -50,9 +50,9 @@
chown $(USER) $(DESTDIR)$(CGIDIR)/$$i; \
chgrp $(GROUP) $(DESTDIR)$(CGIDIR)/$$i; \
done
- @echo "Setting SetUID bit on wwsympa.fcgi..."
- chmod u+s $(DESTDIR)$(CGIDIR)/wwsympa.fcgi
- chmod g+s $(DESTDIR)$(CGIDIR)/wwsympa.fcgi
+ @echo "Setting SetUID bit on wwsympa-wrapper..."
+ chmod u+s $(DESTDIR)$(CGIDIR)/wwsympa-wrapper
+ chmod g+s $(DESTDIR)$(CGIDIR)/wwsympa-wrapper
chmod 755 $(DESTDIR)$(ICONSDIR)
chmod 755 $(DESTDIR)$(LIBDIR)/Marc
@for i in $(lib_SUBST) Marc/Search.pm; do \

View File

@ -0,0 +1,11 @@
--- wwsympa/wwsympa-wrapper.c Sat Oct 23 20:42:47 2004
+++ wwsympa/wwsympa-wrapper.c Sat Oct 23 20:42:30 2004
@@ -0,0 +1,8 @@
+#include <unistd.h>
+
+#define WWSYMPA "/usr/local/sympa/cgi-bin/wwsympa.fcgi"
+
+int main(int argn, char **argv, char **envp) {
+ argv[0] = WWSYMPA;
+ execve(WWSYMPA,argv,envp);
+}

21
mail/sympa5/pkg-deinstall Normal file
View File

@ -0,0 +1,21 @@
#!/bin/sh
#
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=sympa
GROUP=${USER}
if pw groupshow "${USER}" 2>/dev/null 1>&2; then
echo "To delete the 'sympa' group permanently, use 'pw groupdel ${USER}'"
fi
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete the 'sympa' user permanently, use 'pw userdel ${USER}'"
fi
exit 0

12
mail/sympa5/pkg-descr Normal file
View File

@ -0,0 +1,12 @@
SYMPA -- Systeme de Multi-Postage Automatique
SYMPA is an electronic mailing list manager. It is used to automate list
management functions such as subscription, moderation and management of
archives. SYMPA also manages sending of messages to the lists, and
makes it possible to reduce the load on the system. Provided that you
have enough memory on your system, Sympa is especially well adapted for big
lists. For a list with 20 000 subscribers, it takes 5 minutes to send a
message to 90% of subscribers, of course considering that the network is
available.
WWW: http://www.sympa.org/

73
mail/sympa5/pkg-install Normal file
View File

@ -0,0 +1,73 @@
#!/bin/sh
#
# $FreeBSD$
#
if [ x"$2" = xPOST-INSTALL ]; then
echo "============================================================"
if [ x"${DB_TYPE}" != "x" ]; then
echo "If this is your first installation of sympa, please load"
echo "this file with your ${DB_TYPE} database client:"
echo " ${PKG_PREFIX}/bin/create_db.${DB_TYPE}"
echo ""
fi
echo "A default configuration is installed,"
echo "to configure sympa interactively, please run:"
echo " perl ${PKG_PREFIX}/sbin/sympa_wizard.pl"
echo ""
echo "You may also manually edit the two configuration files:"
echo " ${PKG_PREFIX}/etc/sympa/sympa.conf"
echo " ${PKG_PREFIX}/etc/sympa/wwsympa.conf"
echo "============================================================"
echo "To set up the wwsympa server, add something like this to"
echo "your Apache configuration file:"
echo ""
echo " DocumentRoot \"${PKG_PREFIX}/sympa\""
echo " AddDefaultCharset UTF-8"
echo " DirectoryIndex wws"
echo " Options +Indexes"
if [ x"${WITH_FASTCGI}" != x ]; then
echo " LoadModule fastcgi_module libexec/apache2/mod_fastcgi.so"
echo " <Location /wws>"
echo " SetHandler fastcgi-script"
echo " </Location>"
fi
echo " <Directory \"${PKG_PREFIX}/sympa\">"
echo " Allow from all"
echo " </Directory>"
echo " ScriptAlias /wws ${PKG_PREFIX}/sympa/cgi-bin/wwsympa-wrapper"
echo "============================================================"
exit 0
fi
if [ x"$2" != xPRE-INSTALL ]; then
exit 0
fi
USER=sympa
GROUP=${USER}
UID=200
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s /sbin/nologin -d /nonexistent \
-c "Sympa Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
Exit 0

454
mail/sympa5/pkg-plist Normal file
View File

@ -0,0 +1,454 @@
bin/arc2webarc.pl
bin/bouncequeue
bin/create_db.Oracle
bin/create_db.Pg
bin/create_db.Sybase
bin/create_db.mysql
bin/crypt_passwd.pl
bin/init_comment.pl
bin/load_subscribers.pl
bin/mod2html.pl
bin/p12topem.pl
bin/queue
bin/sympa_soap_client.pl
bin/testldap.pl
bin/testlogs.pl
bin/tpl2tt2.pl
etc/rc.d/sympa.sh
etc/sympa/sympa.conf
etc/sympa/wwsympa.conf
lib/sympa/Archive.pm
lib/sympa/Auth.pm
lib/sympa/CAS.pm
lib/sympa/Commands.pm
lib/sympa/Conf.pm
lib/sympa/Config_XML.pm
lib/sympa/Family.pm
lib/sympa/Fetch.pm
lib/sympa/Language.pm
lib/sympa/Ldap.pm
lib/sympa/List.pm
lib/sympa/Log.pm
lib/sympa/Marc.pm
lib/sympa/Marc/Search.pm
lib/sympa/Message.pm
lib/sympa/PlainDigest.pm
lib/sympa/SharedDocument.pm
lib/sympa/SympaTransport.pm
lib/sympa/Version.pm
lib/sympa/admin.pm
lib/sympa/bounce-lib.pl
lib/sympa/cookielib.pm
lib/sympa/mail.pm
lib/sympa/parser.pl
lib/sympa/smtp.pm
lib/sympa/sympasoap.pm
lib/sympa/time_utils.pl
lib/sympa/tools.pl
lib/sympa/tt2.pl
lib/sympa/wwslib.pm
libexec/sympa/aliaswrapper
libexec/sympa/virtualwrapper
sbin/alias_manager.pl
sbin/archived.pl
sbin/bounced.pl
sbin/sympa.pl
sbin/sympa_wizard.pl
sbin/task_manager.pl
%%EXAMPLESDIR%%/README
%%EXAMPLESDIR%%/config.digest
%%EXAMPLESDIR%%/config.include
%%EXAMPLESDIR%%/config.moderation
%%EXAMPLESDIR%%/config.privateorpublickey
%%EXAMPLESDIR%%/config.public
%%EXAMPLESDIR%%/sample-list/config
%%EXAMPLESDIR%%/sample-list/info
%%EXAMPLESDIR%%/sample-list/message.footer
%%EXAMPLESDIR%%/sample-list/welcome.tpl
%%EXAMPLESDIR%%/sympa.conf
%%EXAMPLESDIR%%/wwsympa.conf
%%NLS%%share/locale/cs/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/de/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/el/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/en_US/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/es/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/et/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/fi/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/fr/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/hu/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/it/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/ja/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/nl/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/oc/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/pl/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/pt/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/pt_BR/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/ro/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/tr/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/zh_CN/LC_MESSAGES/sympa.mo
%%NLS%%share/locale/zh_TW/LC_MESSAGES/sympa.mo
%%DATADIR%%/README
%%DATADIR%%/auth.conf
%%DATADIR%%/ca-bundle.crt
%%DATADIR%%/create_list.conf
%%DATADIR%%/create_list_templates/discussion_list/comment.tt2
%%DATADIR%%/create_list_templates/discussion_list/config.tt2
%%DATADIR%%/create_list_templates/hotline/comment.tt2
%%DATADIR%%/create_list_templates/hotline/config.tt2
%%DATADIR%%/create_list_templates/html-news-letter/comment.tt2
%%DATADIR%%/create_list_templates/html-news-letter/config.tt2
%%DATADIR%%/create_list_templates/intranet_list/comment.tt2
%%DATADIR%%/create_list_templates/intranet_list/config.tt2
%%DATADIR%%/create_list_templates/news-letter/comment.tt2
%%DATADIR%%/create_list_templates/news-letter/config.tt2
%%DATADIR%%/create_list_templates/private_working_group/comment.tt2
%%DATADIR%%/create_list_templates/private_working_group/config.tt2
%%DATADIR%%/create_list_templates/public_web_forum/comment.tt2
%%DATADIR%%/create_list_templates/public_web_forum/config.tt2
%%DATADIR%%/edit_list.conf
%%DATADIR%%/global_task_models/chk_cert_expiration.daily.task
%%DATADIR%%/global_task_models/crl_update.daily.task
%%DATADIR%%/global_task_models/eval_bouncers.daily.task
%%DATADIR%%/global_task_models/expire_bounce.daily.task
%%DATADIR%%/global_task_models/process_bouncers.weekly.task
%%DATADIR%%/global_task_models/purge_orphan_bounces.monthly.task
%%DATADIR%%/global_task_models/purge_user_table.monthly.task
%%DATADIR%%/list_aliases.tt2
%%DATADIR%%/list_task_models/expire.yearly.task
%%DATADIR%%/list_task_models/remind.2month.task
%%DATADIR%%/list_task_models/remind.monthly.task
%%DATADIR%%/list_task_models/remind.yearly.task
%%DATADIR%%/list_task_models/sync_include.ttl.task
%%DATADIR%%/mail_tt2/bye.tt2
%%DATADIR%%/mail_tt2/certif_warning.tt2
%%DATADIR%%/mail_tt2/d_install_shared.tt2
%%DATADIR%%/mail_tt2/d_reject_shared.tt2
%%DATADIR%%/mail_tt2/digest.tt2
%%DATADIR%%/mail_tt2/digest_plain.tt2
%%DATADIR%%/mail_tt2/expire_deletion.tt2
%%DATADIR%%/mail_tt2/expire_warning1.tt2
%%DATADIR%%/mail_tt2/expire_warning2.tt2
%%DATADIR%%/mail_tt2/global_remind.tt2
%%DATADIR%%/mail_tt2/helpfile.tt2
%%DATADIR%%/mail_tt2/info_report.tt2
%%DATADIR%%/mail_tt2/invite.tt2
%%DATADIR%%/mail_tt2/list_created.tt2
%%DATADIR%%/mail_tt2/list_rejected.tt2
%%DATADIR%%/mail_tt2/list_unknown.tt2
%%DATADIR%%/mail_tt2/listeditor_notification.tt2
%%DATADIR%%/mail_tt2/listmaster_notification.tt2
%%DATADIR%%/mail_tt2/listowner_notification.tt2
%%DATADIR%%/mail_tt2/lists.tt2
%%DATADIR%%/mail_tt2/moderate.tt2
%%DATADIR%%/mail_tt2/modindex.tt2
%%DATADIR%%/mail_tt2/reject.tt2
%%DATADIR%%/mail_tt2/remind.tt2
%%DATADIR%%/mail_tt2/removed.tt2
%%DATADIR%%/mail_tt2/review.tt2
%%DATADIR%%/mail_tt2/sendpasswd.tt2
%%DATADIR%%/mail_tt2/stats_report.tt2
%%DATADIR%%/mail_tt2/subscriber_notification.tt2
%%DATADIR%%/mail_tt2/summary.tt2
%%DATADIR%%/mail_tt2/urlized_part.tt2
%%DATADIR%%/mail_tt2/welcome.tt2
%%DATADIR%%/mail_tt2/x509-user-cert-missing.tt2
%%DATADIR%%/mail_tt2/your_infected_msg.tt2
%%DATADIR%%/mhonarc-ressources.tt2
%%DATADIR%%/mime.types
%%DATADIR%%/scenari/access_web_archive.closed
%%DATADIR%%/scenari/access_web_archive.intranet
%%DATADIR%%/scenari/access_web_archive.listmaster
%%DATADIR%%/scenari/access_web_archive.owner
%%DATADIR%%/scenari/access_web_archive.private
%%DATADIR%%/scenari/access_web_archive.public
%%DATADIR%%/scenari/add.auth
%%DATADIR%%/scenari/add.closed
%%DATADIR%%/scenari/add.default
%%DATADIR%%/scenari/add.owner
%%DATADIR%%/scenari/add.owner_notify
%%DATADIR%%/scenari/create_list.intranet
%%DATADIR%%/scenari/create_list.listmaster
%%DATADIR%%/scenari/create_list.public_listmaster
%%DATADIR%%/scenari/d_edit.default
%%DATADIR%%/scenari/d_edit.editor
%%DATADIR%%/scenari/d_edit.owner
%%DATADIR%%/scenari/d_edit.private
%%DATADIR%%/scenari/d_edit.private-https
%%DATADIR%%/scenari/d_edit.public
%%DATADIR%%/scenari/d_read.default
%%DATADIR%%/scenari/d_read.owner
%%DATADIR%%/scenari/d_read.private
%%DATADIR%%/scenari/d_read.private-https
%%DATADIR%%/scenari/d_read.public
%%DATADIR%%/scenari/del.auth
%%DATADIR%%/scenari/del.closed
%%DATADIR%%/scenari/del.default
%%DATADIR%%/scenari/del.owner
%%DATADIR%%/scenari/del.owner_notify
%%DATADIR%%/scenari/global_remind.listmaster
%%DATADIR%%/scenari/info.default
%%DATADIR%%/scenari/info.open
%%DATADIR%%/scenari/info.private
%%DATADIR%%/scenari/invite.closed
%%DATADIR%%/scenari/invite.default
%%DATADIR%%/scenari/invite.owner
%%DATADIR%%/scenari/invite.private
%%DATADIR%%/scenari/invite.public
%%DATADIR%%/scenari/remind.default
%%DATADIR%%/scenari/remind.listmaster
%%DATADIR%%/scenari/remind.owner
%%DATADIR%%/scenari/review.closed
%%DATADIR%%/scenari/review.default
%%DATADIR%%/scenari/review.intranet
%%DATADIR%%/scenari/review.listmaster
%%DATADIR%%/scenari/review.owner
%%DATADIR%%/scenari/review.private
%%DATADIR%%/scenari/review.public
%%DATADIR%%/scenari/send.closed
%%DATADIR%%/scenari/send.default
%%DATADIR%%/scenari/send.editorkey
%%DATADIR%%/scenari/send.editorkeyonly
%%DATADIR%%/scenari/send.editorkeyonlyauth
%%DATADIR%%/scenari/send.intranet
%%DATADIR%%/scenari/send.intranetorprivate
%%DATADIR%%/scenari/send.newsletter
%%DATADIR%%/scenari/send.newsletterkeyonly
%%DATADIR%%/scenari/send.private
%%DATADIR%%/scenari/send.private_smime
%%DATADIR%%/scenari/send.privateandeditorkey
%%DATADIR%%/scenari/send.privateandnomultipartoreditorkey
%%DATADIR%%/scenari/send.privatekey
%%DATADIR%%/scenari/send.privatekeyandeditorkeyonly
%%DATADIR%%/scenari/send.privateoreditorkey
%%DATADIR%%/scenari/send.privateorpublickey
%%DATADIR%%/scenari/send.public
%%DATADIR%%/scenari/send.public_nobcc
%%DATADIR%%/scenari/send.publickey
%%DATADIR%%/scenari/send.publicnoattachment
%%DATADIR%%/scenari/send.publicnomultipart
%%DATADIR%%/scenari/subscribe.auth
%%DATADIR%%/scenari/subscribe.auth_notify
%%DATADIR%%/scenari/subscribe.auth_owner
%%DATADIR%%/scenari/subscribe.closed
%%DATADIR%%/scenari/subscribe.default
%%DATADIR%%/scenari/subscribe.intranet
%%DATADIR%%/scenari/subscribe.intranetorowner
%%DATADIR%%/scenari/subscribe.open
%%DATADIR%%/scenari/subscribe.open_notify
%%DATADIR%%/scenari/subscribe.open_quiet
%%DATADIR%%/scenari/subscribe.owner
%%DATADIR%%/scenari/subscribe.smime
%%DATADIR%%/scenari/subscribe.smimeorowner
%%DATADIR%%/scenari/topics_visibility.conceal
%%DATADIR%%/scenari/topics_visibility.default
%%DATADIR%%/scenari/topics_visibility.identified
%%DATADIR%%/scenari/topics_visibility.noconceal
%%DATADIR%%/scenari/unsubscribe.auth
%%DATADIR%%/scenari/unsubscribe.auth_notify
%%DATADIR%%/scenari/unsubscribe.closed
%%DATADIR%%/scenari/unsubscribe.default
%%DATADIR%%/scenari/unsubscribe.open
%%DATADIR%%/scenari/unsubscribe.open_notify
%%DATADIR%%/scenari/unsubscribe.owner
%%DATADIR%%/scenari/visibility.conceal
%%DATADIR%%/scenari/visibility.default
%%DATADIR%%/scenari/visibility.intranet
%%DATADIR%%/scenari/visibility.noconceal
%%DATADIR%%/scenari/visibility.secret
%%DATADIR%%/sympa.wsdl
%%DATADIR%%/topics.conf
%%DATADIR%%/web_tt2/active_lists.tt2
%%DATADIR%%/web_tt2/add_request.tt2
%%DATADIR%%/web_tt2/admin.tt2
%%DATADIR%%/web_tt2/admin_menu.tt2
%%DATADIR%%/web_tt2/arc.tt2
%%DATADIR%%/web_tt2/arc_manage.tt2
%%DATADIR%%/web_tt2/arc_protect.tt2
%%DATADIR%%/web_tt2/arcsearch.tt2
%%DATADIR%%/web_tt2/arcsearch_form.tt2
%%DATADIR%%/web_tt2/button_footer.tt2
%%DATADIR%%/web_tt2/button_header.tt2
%%DATADIR%%/web_tt2/change_email.tt2
%%DATADIR%%/web_tt2/choosepasswd.tt2
%%DATADIR%%/web_tt2/close_list.tt2
%%DATADIR%%/web_tt2/compose_mail.tt2
%%DATADIR%%/web_tt2/copy_template.tt2
%%DATADIR%%/web_tt2/create_list.tt2
%%DATADIR%%/web_tt2/create_list_request.tt2
%%DATADIR%%/web_tt2/css.tt2
%%DATADIR%%/web_tt2/d_control.tt2
%%DATADIR%%/web_tt2/d_editfile.tt2
%%DATADIR%%/web_tt2/d_install_shared.tt2
%%DATADIR%%/web_tt2/d_properties.tt2
%%DATADIR%%/web_tt2/d_read.tt2
%%DATADIR%%/web_tt2/d_upload.tt2
%%DATADIR%%/web_tt2/dump_scenario.tt2
%%DATADIR%%/web_tt2/edit_list_request.tt2
%%DATADIR%%/web_tt2/edit_template.tt2
%%DATADIR%%/web_tt2/editfile.tt2
%%DATADIR%%/web_tt2/editsubscriber.tt2
%%DATADIR%%/web_tt2/error.tt2
%%DATADIR%%/web_tt2/footer.tt2
%%DATADIR%%/web_tt2/get_closed_lists.tt2
%%DATADIR%%/web_tt2/get_inactive_lists.tt2
%%DATADIR%%/web_tt2/get_latest_lists.tt2
%%DATADIR%%/web_tt2/get_pending_lists.tt2
%%DATADIR%%/web_tt2/help.tt2
%%DATADIR%%/web_tt2/help_admin.tt2
%%DATADIR%%/web_tt2/help_editfile.tt2
%%DATADIR%%/web_tt2/help_editlist.tt2
%%DATADIR%%/web_tt2/help_user_options.tt2
%%DATADIR%%/web_tt2/home.tt2
%%DATADIR%%/web_tt2/info.tt2
%%DATADIR%%/web_tt2/install_pending_list.tt2
%%DATADIR%%/web_tt2/javascript.tt2
%%DATADIR%%/web_tt2/latest_arc.tt2
%%DATADIR%%/web_tt2/latest_d_read.tt2
%%DATADIR%%/web_tt2/latest_lists.tt2
%%DATADIR%%/web_tt2/list_admin_menu.tt2
%%DATADIR%%/web_tt2/list_button_footer.tt2
%%DATADIR%%/web_tt2/list_button_header.tt2
%%DATADIR%%/web_tt2/list_menu.tt2
%%DATADIR%%/web_tt2/list_panel.tt2
%%DATADIR%%/web_tt2/lists.tt2
%%DATADIR%%/web_tt2/login.tt2
%%DATADIR%%/web_tt2/login_menu.tt2
%%DATADIR%%/web_tt2/loginbanner.tt2
%%DATADIR%%/web_tt2/loginrequest.tt2
%%DATADIR%%/web_tt2/ls_templates.tt2
%%DATADIR%%/web_tt2/main.tt2
%%DATADIR%%/web_tt2/menu.tt2
%%DATADIR%%/web_tt2/modindex.tt2
%%DATADIR%%/web_tt2/notice.tt2
%%DATADIR%%/web_tt2/pref.tt2
%%DATADIR%%/web_tt2/remindpasswd.tt2
%%DATADIR%%/web_tt2/remove_arc.tt2
%%DATADIR%%/web_tt2/rename_list_request.tt2
%%DATADIR%%/web_tt2/review.tt2
%%DATADIR%%/web_tt2/review_family.tt2
%%DATADIR%%/web_tt2/reviewbouncing.tt2
%%DATADIR%%/web_tt2/rss.tt2
%%DATADIR%%/web_tt2/rss_request.tt2
%%DATADIR%%/web_tt2/scenario_test.tt2
%%DATADIR%%/web_tt2/search.tt2
%%DATADIR%%/web_tt2/search_list.tt2
%%DATADIR%%/web_tt2/search_user.tt2
%%DATADIR%%/web_tt2/serveradmin.tt2
%%DATADIR%%/web_tt2/set_pending_list_request.tt2
%%DATADIR%%/web_tt2/setlang.tt2
%%DATADIR%%/web_tt2/show_cert.tt2
%%DATADIR%%/web_tt2/sigrequest.tt2
%%DATADIR%%/web_tt2/skinsedit.tt2
%%DATADIR%%/web_tt2/stats.tt2
%%DATADIR%%/web_tt2/subindex.tt2
%%DATADIR%%/web_tt2/suboptions.tt2
%%DATADIR%%/web_tt2/subrequest.tt2
%%DATADIR%%/web_tt2/title.tt2
%%DATADIR%%/web_tt2/tt2_error.tt2
%%DATADIR%%/web_tt2/view_template.tt2
%%DATADIR%%/web_tt2/viewbounce.tt2
%%DATADIR%%/web_tt2/viewmod.tt2
%%DATADIR%%/web_tt2/which.tt2
%%DATADIR%%/web_tt2/your_lists.tt2
sympa/cgi-bin/sympa_soap_server.fcgi
sympa/cgi-bin/wwsympa.fcgi
sympa/cgi-bin/wwsympa-wrapper
sympa/icons/back.png
sympa/icons/begin.png
sympa/icons/binary.png
sympa/icons/down.png
sympa/icons/end.png
sympa/icons/folder.open.png
sympa/icons/folder.png
sympa/icons/image2.png
sympa/icons/left.png
sympa/icons/link.png
sympa/icons/locked.png
sympa/icons/logo-s-lock.png
sympa/icons/logo-s.png
sympa/icons/movie.png
sympa/icons/right.png
sympa/icons/sound1.png
sympa/icons/text.png
sympa/icons/unknown.png
%%NLS%%@unexec rmdir %D/share/locale/cs/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/cs 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/de/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/de 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/el/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/el 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/en_US/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/en_US 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/es/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/es 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/et/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/et 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/fi/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/fi 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/fr/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/fr 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/hu/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/hu 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/it/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/it 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/ja/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/ja 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/nl/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/nl 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/oc/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/oc 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/pl/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/pl 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/pt/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/pt 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/pt_BR/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/pt_BR 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/ro/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/ro 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/tr/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/tr 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/zh_CN/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/zh_CN 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/zh_TW/LC_MESSAGES 2>/dev/null || true
%%NLS%%@unexec rmdir %D/share/locale/zh_TW 2>/dev/null || true
@dirrm sympa/spool/tmp
@dirrm sympa/spool/task
@dirrm sympa/spool/outgoing
@dirrm sympa/spool/msg
@dirrm sympa/spool/moderation
@dirrm sympa/spool/expire
@dirrm sympa/spool/digest
@dirrm sympa/spool/auth
@dirrm sympa/spool
@dirrm sympa/icons
@dirrm sympa/expl
@dirrm sympa/cgi-bin
@dirrm sympa/arc
@dirrm sympa/bounce
@dirrm sympa
@dirrm %%DATADIR%%/web_tt2
@dirrm %%DATADIR%%/scenari
@dirrm %%DATADIR%%/mail_tt2
@dirrm %%DATADIR%%/list_task_models
@dirrm %%DATADIR%%/global_task_models
@dirrm %%DATADIR%%/create_list_templates/public_web_forum
@dirrm %%DATADIR%%/create_list_templates/private_working_group
@dirrm %%DATADIR%%/create_list_templates/news-letter
@dirrm %%DATADIR%%/create_list_templates/intranet_list
@dirrm %%DATADIR%%/create_list_templates/html-news-letter
@dirrm %%DATADIR%%/create_list_templates/hotline
@dirrm %%DATADIR%%/create_list_templates/discussion_list
@dirrm %%DATADIR%%/create_list_templates
@dirrm %%DATADIR%%
@dirrm %%EXAMPLESDIR%%/sample-list
@dirrm %%EXAMPLESDIR%%
@dirrm libexec/sympa
@dirrm lib/sympa/Marc
@dirrm lib/sympa
@dirrm etc/sympa/web_tt2
@dirrm etc/sympa/task_models
@dirrm etc/sympa/scenari
@dirrm etc/sympa/mail_tt2
@dirrm etc/sympa/general_task_models
@dirrm etc/sympa/create_list_templates
@dirrm etc/sympa